AMQPQueue::consume
AMQPQueue::delete
AMQPQueue
PHP Manual

# AMQPQueue::declare

(PECL amqp >= Unknown)

AMQPQueue::declare — Declare a new queue

### Description

public void AMQPQueue::declare ( string `$queue_name` [, int `$flags` = `AMQP_AUTODELETE` ] )

Declare a new queue on the broker.

### Parameters

`queue_name`

  The name of the queue to declare.

`flags`

  A bitmask of any of the flags: `AMQP_AUTODELETE`, `AMQP_PASSIVE`, `AMQP_DURABLE`, `AMQP_NOACK`.

### Return Values

AMQPQueue::consume
AMQPQueue::delete
AMQPQueue
PHP Manual